// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "libs.h"

// Display / Rendering
#include "display/debug/grid.h"

#include "display/gui/bitmapfont.h"
#include "display/gui/font.h"

#include "display/camera.h"
#include "display/framebuffer.h"
#include "display/primitive.h"
#include "display/render.h"
#include "display/shader.h"
#include "display/spritebatch.h"
#include "display/texture.h"
#include "display/tileset.h"

// Game Engine
#include "engine/engine.h"

// Time Management
#include "epoch/epoch.h"

// File / Asset Management
#include "file/asset.h"

// Game Logic
#include "game/game.h"

// Player Input
#include "input/input.h"

// Poker Game Logic
#include "poker/card.h"
#include "poker/chip.h"
#include "poker/player.h"
#include "poker/poker.h"
#include "poker/render.h"
#include "poker/strings.h"

// Utility Objects
#include "util/array.h"
#include "util/list.h"
#include "util/math.h"
#include "util/rand.h"