/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>

/**
 * Initializes the epoch time tracking.
 * 
 * @param epoch Epoch to initialize.
 */
void epochInit(epoch_t *epoch);

/**
 * Ticks the current epoch time.
 * 
 * @param epoch Epoch to update.
 * @param platformDelta The delta step between frames from the platform engine.
 */
void epochUpdate(epoch_t *epoch, float platformDelta);