/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "player.h"

void pokerPlayerBet(poker_t *poker, pokerplayer_t *player, int32_t chips) {
  poker->pot += chips;
  player->chips -= chips;
  player->currentBet += chips;
}

bool pokerPlayerIsAlive(pokerplayer_t *player) {
  return !(player->state & (POKER_PLAYER_STATE_FOLDED|POKER_PLAYER_STATE_OUT));
}

bool pokerPlayerIsHuman(poker_t *poker, pokerplayer_t *player) {
  return (poker->players + POKER_PLAYER_HUMAN_INDEX) == player;
}

void pokerPlayerDeal(poker_t *poker, pokerplayer_t *player) {
  cardDeal(poker->deck, &poker->deckSize, player->cards, &player->cardCount);
}

void pokerPlayerDealAll(poker_t *poker, uint8_t count) {
  uint8_t x, y;
  pokerplayer_t *player;

  for(y = 0; y < count; y++) {
    for(x = 0; x < POKER_PLAYER_COUNT; x++) {
      player = poker->players + x;
      if(!pokerPlayerIsAlive(player)) continue;
      pokerPlayerDeal(poker, player);
    }
  }
}