/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
#include "deal.h"

void pokerDealInit(poker_t *poker) {
  poker->round = POKER_ROUND_DEAL;

  // Hard look at the dealer
  pokerLookAtPlayer(&poker->cameraWorld, POKER_SEAT_DEALER);

  // Shuffle the deck
  arrayShuffle(sizeof(card_t), poker->deck, CARD_DECK_SIZE);

  // Deal 2 card to each player
  pokerPlayerDealAll(poker, POKER_DEAL_CARD_EACH);
  
  printf("Cards Dealt\n");
  pokerBetInit(poker);
}