/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../player.h"
#include "../card.h"

#define POKER_WINNING_TYPE_ROYAL_FLUSH 0x01
#define POKER_WINNING_TYPE_STRAIGHT_FLUSH 0x02
#define POKER_WINNING_TYPE_FOUR_OF_A_KIND 0x03
#define POKER_WINNING_TYPE_FULL_HOUSE 0x04
#define POKER_WINNING_TYPE_FLUSH 0x06
#define POKER_WINNING_TYPE_STRAIGHT 0x06

#define POKER_WINNING_SET_SIZE 5

typedef struct {
  card_t full[POKER_PLAYER_HAND + POKER_DEALER_HAND];
  uint8_t size;

  uint8_t count;
  int32_t set[POKER_WINNING_SET_SIZE];

  uint8_t type;
} winning_t;


void pokerWinnerGetFullHand(poker_t *poker,pokerplayer_t *player,card_t *cards);
winning_t pokerWinnerGetStatus(poker_t *poker, pokerplayer_t *player);
void pokerWinnerInit(poker_t *poker);