/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "card.h"

/**
 * Initializes the poker match for the first time.
 * 
 * @param poker Poker game to init.
 */
void pokerInit(poker_t *poker);


/**
 * Initializes the round for a poker game.
 * 
 * @param poker Poker game to init a new round for.
 */
void pokerRoundInit(poker_t *poker);